MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027734Community[OCCT] OCCT:Configurationpublic2016-08-01 19:042016-12-09 16:38
Reporterjensgw 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Platformwin32 (x64)OSWindowsOS Version7
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027734: Configuration - TKIVtkDraw build fails with TBB
DescriptionWhen using TBB (tbb43_20150611oss) in conjunction with IVTKDraw the build of OCCT7.0.0 fails on windows with errors:

 [...]\tbb43_20150611oss\include\tbb\internal/_tbb_windef.h(28): fatal error C1189: #error : TBB is unable to run on old Windows versions; _WIN32_WINNT must be 0x0501 or greater. ([...]\opencascade-7.0.0\src\IVtkDraw\IVtkDraw_Interactor.cxx)

 [...]\tbb43_20150611oss\include\tbb\internal/_tbb_windef.h(28): fatal error C1189: #error : TBB is unable to run on old Windows versions; _WIN32_WINNT must be 0x0501 or greater. ([...]\opencascade-7.0.0\src\IVtkDraw\IVtkDraw.cxx)

Reasons is a define in files IVtkDraw.cxx and IVtkDraw_Interactor.cxx:
 #define _WIN32_WINNT 0x0400 // for TrackMouseEvent support requires Win95 with IE 3.0 or greater.

Maybe it not a wise decission to set the windows version to something different then allready running.
A "is lower" or "is greater check would make more sense, like TBB does (_tbb_windef.h):

// Check that the target Windows version has all API calls requried for TBB.
// Do not increase the version in condition beyond 0x0500 without prior discussion!
#if defined(_WIN32_WINNT) && _WIN32_WINNT<0x0501
#error TBB is unable to run on old Windows versions; _WIN32_WINNT must be 0x0501 or greater.
#endif

List of Windows Version Numbers: https://msdn.microsoft.com/en-us/library/6sehtctf.aspx [^]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027567closedbugmaster Open CASCADE VIS - possible memory leaks due to use of plain pointers 

-  Notes
(0057807)
san (developer)
2016-09-14 19:40

This issue is resolved by a patch for 0027567.
Please test them together.
(0057923)
mkv (tester)
2016-09-19 13:57

Dear BugMaster,
Branch CR27567 is TESTED.

- Issue History
Date Modified Username Field Change
2016-08-01 19:04 jensgw New Issue
2016-08-01 19:04 jensgw Assigned To => kgv
2016-08-01 19:31 kgv Assigned To kgv => aba
2016-08-01 19:31 kgv Status new => assigned
2016-08-01 19:31 kgv Category OCCT:Coding => OCCT:Configuration
2016-08-01 19:31 kgv Target Version => 7.1.0
2016-08-01 19:31 kgv Summary Build fails with TBB and VTK => Configuration - TKIVtkDraw build fails with TBB
2016-09-14 19:15 san Relationship added related to 0027567
2016-09-14 19:40 san Note Added: 0057807
2016-09-14 19:40 san Assigned To aba => bugmaster
2016-09-14 19:40 san Status assigned => feedback
2016-09-19 10:58 bugmaster Assigned To bugmaster => mkv
2016-09-19 10:58 bugmaster Status feedback => reviewed
2016-09-19 13:57 mkv Note Added: 0057923
2016-09-19 13:57 mkv Assigned To mkv => bugmaster
2016-09-19 13:57 mkv Status reviewed => tested
2016-09-19 13:57 mkv Test case number => Not needed
2016-09-23 10:24 bugmaster Status tested => verified
2016-09-23 10:24 bugmaster Resolution open => fixed
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker